package com.mumayi.http.util;

import android.os.Debug;
import android.util.Log;

public class MyLog
{

	public static boolean		isLoggable	= true;
	public static final String	tag			= "httpUtil";

	public static void d(String className, String msg)
	{
		if (isLoggable)
		{
			Log.d(tag, className + "\n - > " + msg);
		}
	}

	public static void e(String className, String msg)
	{
		if (isLoggable)
		{
			Log.e(tag, className + "\n - > " + msg);
		}
	}

	public static void e(String className, Throwable exception)
	{

		Log.e(tag, className + "\n -> " + exception.getMessage(), exception);

	}

	public static void i(String className, String msg)
	{
		if (isLoggable)
		{
			Log.i(tag, className + "\n - > " + msg);
		}
	}

	public static void v(String className, String msg)
	{
		if (isLoggable)
		{
			Log.v(tag, className + "\n - > " + msg);
		}
	}

	public static void w(String className, String msg)
	{
		if (isLoggable)
		{
			Log.w(tag, className + "\n - > " + msg);
		}
	}
}
