package com.mumayi.http.dao;

/**
 * 网络连接工具
 * @author 小包
 * @time 2013-6-14 下午3:42:16
 */
public interface HttpApi
{
	public static int HTTP_CONNECT_GET = 1;
	public static int HTTP_CONNECT_POST = 2;
	public static int HTTP_CLIENT_GET = 3;
	public static int HTTP_CLIENT_POST = 4;
	
	
	
	/**
	 * 通过一个指定的url
	 *
	 * @param url
	 * @return
	 * @author 小包
	 * @time 2013-6-14 下午3:42:31
	 */
	public String getUrlContentString(String url) throws Exception;
	
	/**
	 * 
	 *
	 * @param ulr
	 * @param key
	 * @param value
	 * @return
	 * @author 小包
	 * @time 2013-6-14 下午3:48:13
	 */
	public String getUrlContentString(String url,String[] key,Object[] value) throws Exception;
	
	/**
	 * 通过一个指定的url
	 *
	 * @param url
	 * @return
	 * @author 小包
	 * @time 2013-6-14 下午3:42:31
	 */
	public byte[] getUrlContentByte(String url) throws Exception;
	
	/**
	 * 
	 *
	 * @param ulr
	 * @param key
	 * @param value
	 * @return
	 * @author 小包
	 * @time 2013-6-14 下午3:48:13
	 */
	public byte[] getUrlContentByte(String url,String[] key,Object[] value) throws Exception;
	
	
	
}
